ldap and starting up of ldirector

Horms horms at verge.net.au
Wed Aug 17 03:15:37 BST 2005


On Tue, Aug 16, 2005 at 04:04:39PM +0530, Vijay K wrote:
> Hi,
> I am setting up heartbeat and ldirector for load balancing setup.
> I was making use of ultramonkey 2.0.1 packages for fedora core 1 (though my
> system has fc 4)
> As was pointed out by my friends on this list,the place the particulars rpms
> were parking themselves was different from where the perl is looking for the
> modules.SO, i have downloaded the new set of perl rpms and intalled them.Now
> i still have the problem with ldap
> The perl-ldap supplied by ultramonkey is"
> perl-ldap-0.2701-1.fr.c.1.um.1.noarch.rpm"
> The ldap module with fedora core 4 is " perl-LDAP-0.33-1.noarch.rpm" (notice
> LDAP  in capital letters)
> But when i remove perl-ldap-0.2701 and install perl-LDAP-0.33 , the rpm is
> parking itself in the right location but the problem is that the
> heartbeat-ldirectord-1.2.3-2.fr.c.1.i386(which is the latest one) is not
> getting loaded and its asking for perl-ldap and is accepting only if
> perl-LDAP rpm is removed and perl-ldap-0.27 is reistalled again.this
> perl-ldap rpm is parking in a diff place than where the perl is checking for
> it. I have the perl-ldap .src.rpm ..when i run it insted of noarch i get the
> following output

The path of perl modules changes for various reasons,
so yes, a rebuild is in order. Graeme Fowler has provided
some excellent advice on how to do this.

> # rpm -ivh perl-ldap-0.2701-1.fr.c.1.um.1.src.rpm
>    1:perl-ldap              warning: user horms does not exist - using root
> warning: group horms does not exist - using root
> warning: user horms does not exist - using root9%)
> warning: group horms does not exist - using root
> ########################################### [100%]

That is a bug in the packaging. The user should be set to root.
But its pretty harmless.

-- 
Horms


More information about the lvs-users mailing list